Documentation

SyslogUdpHandler extends AbstractSyslogHandler
in package

A Handler for logging to a remote syslogd server.

Tags
author

Jesper Skovgaard Nielsen nulpunkt@gmail.com

Dominik Kukacka dominik.kukacka@gmail.com

Table of Contents

Constants

RFC3164  : mixed = 0
RFC5424  : mixed = 1
RFC5424e  : mixed = 2

Properties

$bubble  : bool
$facilities  : array<string, int>
List of valid log facility names.
$facility  : int
$formatter  : FormatterInterface|null
$ident  : string
$level  : Level
$processors  : array<string|int, callable>
$rfc  : self::RFC*
$socket  : UdpSocket
$dateFormats  : array<string|int, mixed>

Methods

__construct()  : mixed
__destruct()  : mixed
__sleep()  : mixed
close()  : void
Closes the handler.
getBubble()  : bool
Gets the bubbling behavior.
getFormatter()  : FormatterInterface
getLevel()  : Level
Gets minimum logging level at which this handler will be triggered.
handle()  : bool
Handles a record.
handleBatch()  : void
Handles a set of records at once.
isHandling()  : bool
Checks whether the given record will be handled by this handler.
popProcessor()  : callable
pushProcessor()  : HandlerInterface
reset()  : void
setBubble()  : $this
Sets the bubbling behavior.
setFormatter()  : HandlerInterface
setLevel()  : $this
Sets minimum logging level at which this handler will be triggered.
setSocket()  : $this
Inject your own socket, mainly used for testing
getDefaultFormatter()  : FormatterInterface
makeCommonSyslogHeader()  : string
Make common syslog header (see rfc5424 or rfc3164)
processRecord()  : LogRecord
resetProcessors()  : void
toSyslogPriority()  : int
Translates Monolog log levels to syslog log priorities.
write()  : void
Writes the (already formatted) record down to the log of the implementing handler
splitMessageIntoLines()  : array<string|int, string>

Constants

Properties

$facilities

List of valid log facility names.

protected array<string, int> $facilities = ['auth' => \LOG_AUTH, 'authpriv' => \LOG_AUTHPRIV, 'cron' => \LOG_CRON, 'daemon' => \LOG_DAEMON, 'kern' => \LOG_KERN, 'lpr' => \LOG_LPR, 'mail' => \LOG_MAIL, 'news' => \LOG_NEWS, 'syslog' => \LOG_SYSLOG, 'user' => \LOG_USER, 'uucp' => \LOG_UUCP]

$processors

protected array<string|int, callable> $processors = []
Tags
phpstan-var

array<(callable(LogRecord): LogRecord)|ProcessorInterface>

$dateFormats

private array<string|int, mixed> $dateFormats = [self::RFC3164 => 'M d H:i:s', self::RFC5424 => \DateTime::RFC3339, self::RFC5424e => \DateTime::RFC3339_EXTENDED]

Methods

__construct()

public __construct(string $host[, int $port = 514 ][, string|int $facility = LOG_USER ][, int|string|Level $level = Level::Debug ][, bool $bubble = true ][, string $ident = 'php' ][, int $rfc = self::RFC5424 ]) : mixed
Parameters
$host : string

Either IP/hostname or a path to a unix socket (port must be 0 then)

$port : int = 514

Port number, or 0 if $host is a unix socket

$facility : string|int = LOG_USER

Either one of the names of the keys in $this->facilities, or a LOG_* facility constant

$level : int|string|Level = Level::Debug

The minimum logging level at which this handler will be triggered

$bubble : bool = true

Whether the messages that are handled can bubble up the stack or not

$ident : string = 'php'

Program name or tag for each log message.

$rfc : int = self::RFC5424

RFC to format the message for.

Tags
throws
MissingExtensionException

when there is no socket extension

phpstan-param

self::RFC* $rfc

__destruct()

public __destruct() : mixed

getBubble()

Gets the bubbling behavior.

public getBubble() : bool
Return values
bool —

true means that this handler allows bubbling. false means that bubbling is not permitted.

getLevel()

Gets minimum logging level at which this handler will be triggered.

public getLevel() : Level
Return values
Level

handle()

Handles a record.

public handle(LogRecord $record) : bool
Parameters
$record : LogRecord

The record to handle

Tags
inheritDoc
Return values
bool —

true means that this handler handled the record, and that bubbling is not permitted. false means the record was either not processed or that this handler allows bubbling.

handleBatch()

Handles a set of records at once.

public handleBatch(array<string|int, mixed> $records) : void
Parameters
$records : array<string|int, mixed>

The records to handle

Tags
inheritDoc

isHandling()

Checks whether the given record will be handled by this handler.

public isHandling(LogRecord $record) : bool
Parameters
$record : LogRecord

Partial log record having only a level initialized

Tags
inheritDoc
Return values
bool

setBubble()

Sets the bubbling behavior.

public setBubble(bool $bubble) : $this
Parameters
$bubble : bool

true means that this handler allows bubbling. false means that bubbling is not permitted.

Return values
$this

setLevel()

Sets minimum logging level at which this handler will be triggered.

public setLevel(Level|LogLevel::* $level) : $this
Parameters
$level : Level|LogLevel::*

Level or level name

Tags
phpstan-param

value-ofLevel::VALUES|value-ofLevel::NAMES|Level|LogLevel::* $level

Return values
$this

makeCommonSyslogHeader()

Make common syslog header (see rfc5424 or rfc3164)

protected makeCommonSyslogHeader(int $severity, DateTimeInterface $datetime) : string
Parameters
$severity : int
$datetime : DateTimeInterface
Return values
string

toSyslogPriority()

Translates Monolog log levels to syslog log priorities.

protected toSyslogPriority(Level $level) : int
Parameters
$level : Level
Return values
int

write()

Writes the (already formatted) record down to the log of the implementing handler

protected write(LogRecord $record) : void
Parameters
$record : LogRecord

splitMessageIntoLines()

private splitMessageIntoLines(string|array<string|int, string> $message) : array<string|int, string>
Parameters
$message : string|array<string|int, string>
Return values
array<string|int, string>
On this page

Search results